//bridge-file-version: #7
{
	"format_version": "1.16.100",
	"minecraft:item": {
		"description": {
			"identifier": "agp:tree_item"
		},
		"components": {
			"minecraft:foil": true,
			"minecraft:stacked_by_data": true,
			"minecraft:cooldown": {
				"category": "tree_delay",
				"duration": 15
			},
			"minecraft:liquid_clipped": true,
			"minecraft:max_stack_size": 1,
			"minecraft:allow_off_hand": true,
			"minecraft:icon": {
				"texture": "tornado_item"
			},
			"minecraft:display_name": {
				"value": "Tree Item"
			},
			"minecraft:on_use": {
				"on_use": {
					"event": "Structure"
				}
			}
		},
		"events": {
			"Structure": {
				"run_command": {
					"command": [
						"/structure load mystructure:huge_tree2 ^^^ 90_degrees none block_by_block 45"
					]
				}
			}
		}
	}
} //Made by ItzJeremicer